### Method

# EBackend CollectionBackend new_child

since: 3.6

#### Declaration [src]

    ESource*
    e_collection_backend_new_child (
      ECollectionBackend* backend,
      const gchar* resource_id
    )

#### Description [src]

Creates a new `EServerSideSource` as a child of the collection `EBackend:source` owned by `backend`. If possible, the `EServerSideSource` is drawn from a cache of previously used sources indexed by `resource_id` so that locally cached data from previous sessions can be reused.

The returned data source should be passed to `e_source_registry_server_add_source()` to export it over D-Bus.

Available since: 3.6

#### Parameters

`resource_id`

  Type: `const gchar*`

  A stable and unique resource ID.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `ESource`

A newly-created data source.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.